Subject: Re: bug#9926: patch: emacs-24.0.91 FTBFS on GNU/Hurd

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Nov 2011 12:09:04 -0500

> I don't see anything wrong with changing Emacs to use GC_MAKE_GCPROS_NOOPS
> on GNU/Hurd.  If there's no objection I would like to install the change
> suggested by Stefan, which should have the same effect as patching gnu.h
> but results in cleaner code internally.  Please see the patch below.

I'd rather keep the old default for now and change it in 24.2, only.
So I'd rather use the OP's patch that only affects the Hurd.

> === modified file 'src/s/ms-w32.h'
> --- src/s/ms-w32.h	2011-11-05 16:30:13 +0000
> +++ src/s/ms-w32.h	2011-11-08 16:29:11 +0000
> @@ -402,5 +402,8 @@
>  #define DebPrint(stuff)
>  #endif
 
> +/* Conservative garbage collection has not been tested, so for now
> +   play it safe and stick with the old-fashioned way of marking.  */
> +#define GC_MARK_STACK GC_USE_GCPROS_AS_BEFORE
 
Really?  This sounds wrong,

        Stefan